### Hastily - A downloader of subtitles

Finding the right subtitle for a movie file can be a frustrating experience if the movie file name does not have a unique release name, or there is no subtitle available that is specifically made
for the release/file you have in your possession. In such cases, you often have to resort to trial and error method. And there is no guarantee that among the 15 or 20 subtitles available, one them will
match the movie file you have. 

Hastily is a program to help you in such cases. The way it works is simple.

1. You invoke Hastily passing a partial movie name as an argument.
2. Hastily will search the and provide you with a list of movie names that contains the search key that you passed. You can select the correct movie from that list.
3. Hastily will search and find all the available subtitles for that movie.
4. It will then extract and scan the subtitle files and find a dialogue that does not repeat in the same subtitle file and also appears in the most of the downloaded subtitles.
5. It will then print out the time when that particular dialogue appears in all of the downloaded subtitles.

You have to find out when that particular dialogue appears in your movie file. Use this time and the list printed out by Hastily to find the best matching subtitle among those.

Right now Hastily uses OMDB API to search for the movies and opensubtitles.org to search and download subtitles. And right now it will only process .srt files.

#### Installation

You can install Hastily using cabal

    cabal install hastily

Here is a sample invocation for searching for subtitles for
the movie  'Ferris Bueller's Day Off'

    hastily -n "ferris"
    
    1. Ferris Bueller's Day Off , Year: 1986, Imdb: tt0091042, Type: movie
    2. Ferris Bueller , Year: 1990-1991, Imdb: tt0098795, Type: series
    3. The Night Ferris Bueller Died , Year: 1999, Imdb: tt0240760, Type: movie
    4. Inside Story: Ferris Bueller's Day Off , Year: 2011, Imdb: tt2150301, Type: movie
    5. The Ferris Wheel , Year: 1896, Imdb: tt2207641, Type: movie
    6. Brad Ferris' Game Plan , Year: 2013-, Imdb: tt3464692, Type: series
    7. Ferris Wheel on Fire , Year: 2010, Imdb: tt2991876, Type: movie
    8. Ferris Wheel at Night , Year: 2013, Imdb: tt2496624, Type: movie
    9. Farewell, Ferris Wheel , Year: 2012, Imdb: tt2349677, Type: movie
    10. The Ferris Wheel , Year: 2011-, Imdb: tt2136385, Type: series
    Enter a number between 1 and 10, or q to quit.

Have fun!
